"""
codes.py

全局统一日志编码管理文件

分类规则：
- 1xxx: 成功类（用于正常流程验证和运营统计）
- 15xx: 调度监控相关状态码
- 4xxx: 可恢复配置错误（需修复配置）
- 9xxx: 错误码（可恢复失败、需要排查）
- 99xx: 系统致命错误（需告警处理）
"""

CODES = {
    # 成功类 (1xxx)
    "1000": "任务接收成功",
    "1001": "数据采集成功",
    "1002": "视频处理成功",
    "1003": "爬虫执行指标汇总",
    "1004": "未获取到数据",
    "1005": "视频过滤成功",
    "1006": "字段校验通过",
    "1007": "数据校验通过",
    "1008": "规则匹配成功",
    "1009": "成功发送至ETL",
    "1010": "任务执行完成",
    "1011": "视频数量达到当日最大值",
    "1012": "初始化请求",

    # 调度监控 (15xx)
    "1500": "主进程启动成功",
    "1501": "子进程崩溃重启",
    "1502": "子进程启动成功",
    "1503": "子进程正常退出",
    "1504": "进程监听循环启动",
    "1505": "子进程分配完成",

    # 系统监控(16XX)
    "1600": "系统收到停止信号",
    "1601": "系统正在取消所有消费任务",
    "1602": "所有任务已退出",
    "1603": "任务退出异常",


    # 可恢复配置错误 (4xxx)
    "4000": "爬虫配置缺失",
    "4001": "ETL配置缺失",
    "4002": "MQ配置缺失",
    "4003": "数据库配置缺失",

    # 可恢复失败类 (9xxx)
    "9001": "消息处理失败",
    "9002": "消费循环异常重启",
    "9003": "视频处理失败",
    "9004": "推送ETL失败",
    "9005": "爬虫致命错误退出",
    "9006": "请求异常达到最大重试次数",
    "9007": "字段缺失校验失败",
    "9008": "标题不符合规则",
    "9009": "发布时间不符合规则",
    "9010": "黑名单用户过滤",
    "9011": "重复视频过滤",
    "9012": "视频时长不符合规则",
    "9013": "点赞数/播放量不符合规则",
    "9014": "平台限制过滤",
    "9015": "下载异常",
    "9016": "数据库写入失败",
    "9017": "消费超时重试",
    "9018": "规则解析失败",
    "9019": "任务参数缺失",
    "9020": "过滤条件不匹配",
    "9021": "异步请求失败",
    "9022": "子进程内部异常",
    "9023": "请求返回code非0",
    "9024": "字段提取失败",

    # 系统致命错误 (99xx)
    "9900": "数据库连接失败",
    "9901": "MQ连接失败",
    "9902": "系统内存不足",
    "9903": "未知致命错误",
    "9904": "配置加载失败",
    "9905": "进程启动失败",
}
